<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Auth;

use App\Models\Domain;

class HomeController extends Controller
{
	public function network(Domain $o)
	{
		return view('domain.view')
			->with('o',$o);
	}

	/**
	 * Render a view that summarises the users permissions
	 */
	public function permissions()
	{
		return view('auth.permissions')
			->with('user',Auth::user());
	}

	/**
	 * System Setup
	 *
	 * @note: Protected by Route
	 */
	public function setup()
	{
		return view('setup');
	}
}