<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

use App\Traits\ScopeActive;

class Zone extends Model
{
	use ScopeActive;

	/* RELATIONS */

	public function addresses()
	{
		return $this->hasMany(Address::class);
	}

	public function domain()
	{
		return $this->belongsTo(Domain::class);
	}

	public function system()
	{
		return $this->belongsTo(System::class);
	}
}